package com.totopia.server.modules.user.entity;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Entity(name = "bank_account")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class BankAccountEntity extends UserDateAuditEntity {

  private static final long serialVersionUID = -8628291684559836128L;

  @Id
  @GeneratedValue(generator = "bank_account_generator")
  @SequenceGenerator(name = "bank_account_generator", sequenceName = "bank_account_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "name", nullable = false, length = 100)
  private String name;

  @Basic
  @Column(name = "number", nullable = false, length = 100)
  private String number;

  @Basic
  @Column(name = "holder", nullable = false, length = 100)
  private String holder;

  @Basic
  @Column(name = "username", nullable = false)
  private String username;

}
