package com.totopia.server.modules.user.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;

import com.totopia.server.modules.user.type.RoleName;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity(name = "roles")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RoleEntity implements Serializable {
  private static final long serialVersionUID = 5100719044067326295L;

  @Id
  @GeneratedValue(generator = "role_generator")
  @SequenceGenerator(name = "role_generator", sequenceName = "role_sequence", initialValue = 1)
  private Short id;

  @Enumerated(EnumType.STRING)
  @Column(name = "name", length = 60)
  private RoleName name;

}
